routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('/profile','ProfileController')->middleware('auth');


// Route::get('/articles','ArticleController@index');
// Route::get('/articles/create','ArticleController@create');
// Route::post('/articles','ArticleController@store');
// Route::get('/articles/{articles_id}','ArticleController@show');
// Route::get('/articles/{articles_id}/edit','ArticleController@edit');
// Route::put('/articles/{articles_id}','ArticleController@update');
// Route::delete('/articles/{articles_id}','ArticleController@destroy');


Route::get('/test-dompdf', function(){
    $pdf = App::make('dompdf.wrapper');
    $pdf->loadHTML('<h1>Test</h1>');
    return $pdf->stream();
});

// Route articles:
// Route::get('/articles','ArticleController@index');
// Route::get('/articles/create','ArticleController@create');
// Route::post('/articles','ArticleController@store');
// Route::get('/articles/{id}','ArticleController@show');
// Route::get('/articles/{id}/edit','ArticleController@edit');
// Route::put('/articles/{id}','ArticleController@update');
// Route::delete('/articles/{id}','ArticleController@destroy');
Route::resource('articles','ArticleController')->middleware('auth');


// Route comments:
// Route::get('/comments','CommentController@index');
// Route::get('/comments/create','CommentController@create');
// Route::post('/comments','CommentController@store');
// Route::get('/comments/{id}','CommentController@show');
// Route::get('/comments/{id}/edit','CommentController@edit');
// Route::put('/comments/{id}','CommentController@update');
// Route::delete('/comments/{id}','CommentController@destroy');
Route::resource('comments','CommentController')->middleware('auth');

//Route::get('/comments/create/{id}','CommentController@create');
//Route::post('/comments/{id}','CommentController@store');

app/Models/Profile.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;

class Profile extends Model
{
    protected $fillable = [
        'full_name', 'address','phone','user_id'
    ];

    public function user()
    {
        return $this->belongsTo('App/Models/User');
    }
}

app/Http/Controllers/ProfileController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Profile;
use App\Models\User;
use RealRashid\SweetAlert\Facades\Alert;


class ProfileController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create($id)
    {
        
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {

        //$profiles = Profile::where('user_id',$id)->get();
        $profiles = Profile::Join('users','users.id','=','profiles.user_id')
                    ->where('profiles.user_id', $id)
                    ->get(['profiles.*', 'users.username', 'users.email']);
        //dd($profiles);
        return view('profiles.edit', compact('profiles'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'email' => 'required|unique:users,email,'. $id,
            'username' => 'required|unique:users,username,'. $id,
            'fullname' =>'required'
        ]);

        $user = User::where('id', $id)->update([
            'username'=> $request['username'],
            'email' => $request['email']
        ]);
        
        $update = Profile::where('user_id',$id)->update([
            'full_name'=> $request['fullname'],
            'address' => $request['address'],
            'phone' => $request['phone']
        ]);
    
        return redirect('/articles');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/profiles/edit.blade.php
@extends('layouts.master')

@section('content')

  <section class="content mt-3 mr-3 ml-3">
    <div class="container-fluid">
      <div class="row">
        <!-- left column -->
        <div class="col-md-8 offset-2">
          <!-- general form elements -->
          <div class="card card-outline card-info rounded-0">
            <div class="card-header">
              <h3 class="card-title font-weight-bold">EDIT PROFILE</h3>
            </div>
            @foreach ($profiles as $object)
            <!-- /.card-header -->
            <!-- form start -->
            <form method="post" action="{{route('profile.update',$object->user_id)}}">
              @csrf
              @method('PUT')
              <div class="card-body">
                
                <div class="form-group">
                  <label for="fullname" class="font-weight-bold">Full Name</label>
                  <input type="text" class="form-control rounded-0" id="fullname" name ="fullname" value="{{$object->full_name}}">
                </div>

                @error('fullname')
                  <div class="alert alert-danger">{{$message}}</div>
                @enderror

                <div class="form-group">
                  <label for="username" class="font-weight-bold">Username</label>
                  <input type="text" class="form-control rounded-0" id="username" name ="username" value="{{$object->username}}">
                </div>

                @error('username')
                  <div class="alert alert-danger">{{$message}}</div>
                @enderror

                <div class="form-group">
                  <label for="email" class="font-weight-bold">e-Mail</label>
                  <input type="email" class="form-control rounded-0" id="email" name ="email" value="{{$object->email}}">
                </div>

                @error('email')
                  <div class="alert alert-danger">{{$message}}</div>
                @enderror

                <div class="form-group">
                  <label for="address" class="font-weight-bold">Address</label>
                  <input type="text" class="form-control rounded-0" id="address" name ="address" value="{{$object->address}}">
                </div>

                <div class="form-group">
                  <label for="phone" class="font-weight-bold">Phone Number</label>
                  <input type="text" class="form-control rounded-0" id="phone" name ="phone" value="{{$object->phone}}">
                </div>
                
                @endforeach
                <span><button type="submit" class="btn btn-info btn-flat float-right mb-4"><i class="fas fa-paper-plane"></i> Edit</button></span>
              </div>
              <!-- /.card-body -->
              
              
            </form>
            <span><a href="" class="btn btn-sm btn-danger btn-flat float-left mb-4 ml-3">Delete Account</a><span class="pl-2 text-muted"> Deleting your account will no longer be able to access your articles.</span></span>
          </div>
          <!-- /.card -->  
        </div>
      </div>
    </div>
  </section>

@endsection